Auto-merge for PR #644 via VersionBot

Check for uncommitted output
This commit is contained in:
resin-io-versionbot[bot] 2017-08-31 12:21:32 +00:00 committed by GitHub
commit 8980bc704a
4 changed files with 22 additions and 3 deletions

View File

@ -6,8 +6,8 @@ matrix:
env:
- CAN_DEPLOY=true
before_install:
- npm -g install npm
script: echo 'TODO Write some tests'
- npm -g install npm@4
script: ./automation/catch-uncommitted-output.sh
notifications:
email: false
deploy:

View File

@ -4,6 +4,10 @@ All notable changes to this project will be documented in this file
automatically by Versionist. DO NOT EDIT THIS FILE MANUALLY!
This project adheres to [Semantic Versioning](http://semver.org/).
## v6.6.4 - 2017-08-31
* Catch uncommitted build output automatically in Travis #644 [Tim Perry]
## v6.6.3 - 2017-08-31
* Update README to link to the full CLI command documentation #641 [Tim Perry]

View File

@ -0,0 +1,15 @@
#!/bin/sh
set -e
npm run build
echo
if ! git diff HEAD --exit-code ; then
echo '** Uncommitted changes found after build - FAIL **'
exit 1
elif test -n "$(git ls-files --exclude-standard --others | tee /dev/tty)" ; then
echo '** Untracked uncommitted files found after build (^^^ listed above ^^^) - FAIL **'
exit 2
else
echo 'No unexpected changes after build, all good.'
fi

View File

@ -1,6 +1,6 @@
{
"name": "resin-cli",
"version": "6.6.3",
"version": "6.6.4",
"description": "The official resin.io CLI tool",
"main": "./build/actions/index.js",
"homepage": "https://github.com/resin-io/resin-cli",